### Function

# GUPnP ServiceProxyActionCallback

deprecated: 1.2.0

#### Declaration

    void
    (* GUPnPServiceProxyActionCallback) (
      GUPnPServiceProxy* proxy,
      GUPnPServiceProxyAction* action,
      gpointer user_data
    )

#### Description [src]

Callback notifying that `action` on `proxy` has returned and `gupnp_service_proxy_end_action()` etc can be called.

Deprecated since: 1.2.0

Please do not use it in newly written code.

#### Parameters

`proxy`

  Type: `GUPnPServiceProxy`

  The `GUPnPServiceProxy` `action` is called from.

  The data is owned by the caller of the function.

`action`

  Type: `GUPnPServiceProxyAction`

  The `GUPnPServiceProxyAction` in progress.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.